## org.apache.lucene.queryParser.standard.config
Interface BoostAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  BoostAttributeImpl

Deprecated.

    @Deprecated
    public interface BoostAttribute

extends Attribute

This attribute is used by `MultiFieldQueryNodeProcessor` processor and it should be defined in a `FieldConfig`. This processor uses this attribute to define which boost a specific field should have when none is defined to it.

Method Summary
`float` `getBoost()` Deprecated.
`void` `setBoost(float boost)` Deprecated.

Method Detail

### setBoost

    void setBoost(float boost)

  Deprecated.

### getBoost

    float getBoost()

  Deprecated.